package com.bzd.system.service.yxgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 领取核销记录 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SYxglKjglHxjlRecordService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSYxglKjglHxjlRecord(PageData pd)throws Exception {
        return daoSupport.update("SYxglKjglHxjlRecordMapper.addSYxglKjglHxjlRecord", pd);
    }

    public List<PageData> findSYxglKjglHxjlRecordList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SYxglKjglHxjlRecordMapper.selectSYxglKjglHxjlRecordList", pd);
    }

    public Integer SYxglKjglHxjlRecordRemove(PageData pd)throws Exception {
        return daoSupport.delete("SYxglKjglHxjlRecordMapper.SYxglKjglHxjlRecordRemove", pd);
    }


    public Integer updateSYxglKjglHxjlRecord(PageData pd)throws Exception {
        return daoSupport.update("SYxglKjglHxjlRecordMapper.updateSYxglKjglHxjlRecord", pd);
    }

}
